package com.mdd.admin.validate.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("用户订单删除参数")
public class UserOrderDelValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("订单ID")
   private Integer id;
   @ApiModelProperty("操作类型（1：全部移至垃圾桶  2：彻底删除）")
   private @NotNull(
   message = "option参数缺失"
) Integer option;
   @ApiModelProperty("0=未提交，1=待处理，2=已完成，3=垃圾桶，4=黑名单")
   private Integer status;

   public Integer getId() {
      return this.id;
   }

   public @NotNull(
   message = "option参数缺失"
) Integer getOption() {
      return this.option;
   }

   public Integer getStatus() {
      return this.status;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setOption(@NotNull(
   message = "option参数缺失"
) Integer option) {
      this.option = option;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserOrderDelValidate)) {
         return false;
      } else {
         UserOrderDelValidate other = (UserOrderDelValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label47;
                  }
               } else if (this$id.equals(other$id)) {
                  break label47;
               }

               return false;
            }

            Object this$option = this.getOption();
            Object other$option = other.getOption();
            if (this$option == null) {
               if (other$option != null) {
                  return false;
               }
            } else if (!this$option.equals(other$option)) {
               return false;
            }

            Object this$status = this.getStatus();
            Object other$status = other.getStatus();
            if (this$status == null) {
               if (other$status != null) {
                  return false;
               }
            } else if (!this$status.equals(other$status)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserOrderDelValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $option = this.getOption();
      result = result * 59 + ($option == null ? 43 : $option.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      return result;
   }

   public String toString() {
      return "UserOrderDelValidate(id=" + this.getId() + ", option=" + this.getOption() + ", status=" + this.getStatus() + ")";
   }
}
